High Priest Prana:
The Cleric is a Human Mystic who is connected to the divine power that surrounds the world. The Cleric performs miracles through the power of the gods. Thus, the Cleric practices mostly white magic and supplementary magic to help others. However, Clerics are granted some attack skills to protect themselves.
Also, the Cleric has great healing powers and for this gift they are always welcomed and respected. Those Clerics who continue in their training and in the service of others can attain higher professions, such as Bishop or Prophet.
But first, to become a Cleric, you must bring back the Mark of Faith to show that your faith has been acknowledged.
Ask about the mark of faith
Return